# rpmInstallArguments_s Struct Reference
[RPMCLI.]

Describe database command line requests. More...

`#include <rpmcli.h>`

## Data Fields

rpmtransFlags | transFlags
rpmprobFilterFlags | probFilter
rpmInstallInterfaceFlags | installInterfaceFlags
rpmEraseInterfaceFlags | eraseInterfaceFlags
rpmRelocation * | relocations
int | numRelocations
int | noDeps
int | incldocs
const char * | prefix
const char * | rootdir
uint_32 | rbtid

## Detailed Description

Describe database command line requests.

Definition at line 332 of file rpmcli.h.

## Field Documentation

rpmtransFlags rpmInstallArguments_s::transFlags

Definition at line 333 of file rpmcli.h.

rpmprobFilterFlags rpmInstallArguments_s::probFilter

Definition at line 334 of file rpmcli.h.

rpmInstallInterfaceFlags rpmInstallArguments_s::installInterfaceFlags

Definition at line 335 of file rpmcli.h.

rpmEraseInterfaceFlags rpmInstallArguments_s::eraseInterfaceFlags

Definition at line 336 of file rpmcli.h.

rpmRelocation* rpmInstallArguments_s::relocations

Definition at line 338 of file rpmcli.h.

int rpmInstallArguments_s::numRelocations

Definition at line 339 of file rpmcli.h.

int rpmInstallArguments_s::noDeps

Definition at line 340 of file rpmcli.h.

int rpmInstallArguments_s::incldocs

Definition at line 341 of file rpmcli.h.

const char* rpmInstallArguments_s::prefix

Definition at line 343 of file rpmcli.h.

const char* rpmInstallArguments_s::rootdir

Definition at line 345 of file rpmcli.h.

uint_32 rpmInstallArguments_s::rbtid

from --rollback

Definition at line 346 of file rpmcli.h.

The documentation for this struct was generated from the following file:

- lib/rpmcli.h